diff --git a/unittests/periphery-lld/inc/ut_alld_bq241xx_v1.h b/unittests/periphery-lld/inc/ut_alld_bq241xx_v1.h
index 244ffca..0804dbf 100644
--- a/unittests/periphery-lld/inc/ut_alld_bq241xx_v1.h
+++ b/unittests/periphery-lld/inc/ut_alld_bq241xx_v1.h
@@ -49,13 +49,13 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 /* EXTERN DECLARATIONS                                                        */
 /******************************************************************************/
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 extern "C" {
-#endif
+#endif /* defined(__cplusplus) */
   aos_utresult_t utAlldBq241xxFunc(BaseSequentialStream* stream, aos_unittest_t* ut);
-#ifdef __cplusplus
+#if defined(__cplusplus)
 }
-#endif
+#endif /* defined(__cplusplus) */
 
 /******************************************************************************/
 /* INLINE FUNCTIONS                                                           */
diff --git a/unittests/periphery-lld/inc/ut_alld_bq27500_v1.h b/unittests/periphery-lld/inc/ut_alld_bq27500_v1.h
index 6f974c2..591acdf 100644
--- a/unittests/periphery-lld/inc/ut_alld_bq27500_v1.h
+++ b/unittests/periphery-lld/inc/ut_alld_bq27500_v1.h
@@ -64,13 +64,13 @@ typedef struct {
 /* EXTERN DECLARATIONS                                                        */
 /******************************************************************************/
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 extern "C" {
-#endif
+#endif /* defined(__cplusplus) */
   aos_utresult_t utAlldBq27500Func(BaseSequentialStream* stream, aos_unittest_t* ut);
-#ifdef __cplusplus
+#if defined(__cplusplus)
 }
-#endif
+#endif /* defined(__cplusplus) */
 
 /******************************************************************************/
 /* INLINE FUNCTIONS                                                           */
diff --git a/unittests/periphery-lld/inc/ut_alld_bq27500_v1_bq241xx_v1.h b/unittests/periphery-lld/inc/ut_alld_bq27500_v1_bq241xx_v1.h
index a4f371a..9f79180 100644
--- a/unittests/periphery-lld/inc/ut_alld_bq27500_v1_bq241xx_v1.h
+++ b/unittests/periphery-lld/inc/ut_alld_bq27500_v1_bq241xx_v1.h
@@ -70,13 +70,13 @@ typedef struct {
 /* EXTERN DECLARATIONS                                                        */
 /******************************************************************************/
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 extern "C" {
-#endif
+#endif /* defined(__cplusplus) */
   aos_utresult_t utAlldBq27500Bq241xxFunc(BaseSequentialStream* stream, aos_unittest_t* ut);
-#ifdef __cplusplus
+#if defined(__cplusplus)
 }
-#endif
+#endif /* defined(__cplusplus) */
 
 /******************************************************************************/
 /* INLINE FUNCTIONS                                                           */
diff --git a/unittests/periphery-lld/inc/ut_alld_dw1000_v1.h b/unittests/periphery-lld/inc/ut_alld_dw1000_v1.h
index d3dc335..f37aa69 100755
--- a/unittests/periphery-lld/inc/ut_alld_dw1000_v1.h
+++ b/unittests/periphery-lld/inc/ut_alld_dw1000_v1.h
@@ -50,9 +50,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 /* EXTERN DECLARATIONS                                                        */
 /******************************************************************************/
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 extern "C" {
-#endif
+#endif /* defined(__cplusplus) */
   aos_utresult_t utAlldDw1000Func(BaseSequentialStream* stream, aos_unittest_t* ut);
 
   extern uint8_t s1switch;
@@ -72,9 +72,9 @@ extern "C" {
   apalGpioState_t port_CheckEXT_IRQ(void) ;
   void process_deca_irq(void);
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 }
-#endif
+#endif /* defined(__cplusplus) */
 
 /******************************************************************************/
 /* INLINE FUNCTIONS                                                           */
diff --git a/unittests/periphery-lld/src/ut_alld_bq27500_v1.c b/unittests/periphery-lld/src/ut_alld_bq27500_v1.c
index 73b0f59..1d32532 100644
--- a/unittests/periphery-lld/src/ut_alld_bq27500_v1.c
+++ b/unittests/periphery-lld/src/ut_alld_bq27500_v1.c
@@ -28,19 +28,19 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 /******************************************************************************/
 
 // change saved unseal keys to test bruteforcing
-#ifdef BQ27500_UT_TEST_BRUTEFORCE
+#if defined(BQ27500_UT_TEST_BRUTEFORCE)
 
-#ifdef BQ27500_LLD_DEFAULT_UNSEAL_KEY0
+#if defined(BQ27500_LLD_DEFAULT_UNSEAL_KEY0)
 #undef BQ27500_LLD_DEFAULT_UNSEAL_KEY0
 #define BQ27500_LLD_DEFAULT_UNSEAL_KEY0 0x1234
-#endif
+#endif /* defined(BQ27500_LLD_DEFAULT_UNSEAL_KEY0) */
 
-#ifdef BQ27500_LLD_DEFAULT_UNSEAL_KEY1
+#if defined(BQ27500_LLD_DEFAULT_UNSEAL_KEY1)
 #undef BQ27500_LLD_DEFAULT_UNSEAL_KEY1
 #define BQ27500_LLD_DEFAULT_UNSEAL_KEY1 0x5678
-#endif
+#endif /* defined(BQ27500_LLD_DEFAULT_UNSEAL_KEY1) */
 
-#endif
+#endif /* defined(BQ27500_UT_TEST_BRUTEFORCE) */
 
 /******************************************************************************/
 /* EXPORTED VARIABLES                                                         */
diff --git a/unittests/periphery-lld/src/ut_alld_dw1000_v1.c b/unittests/periphery-lld/src/ut_alld_dw1000_v1.c
index e5995e7..c5cc995 100755
--- a/unittests/periphery-lld/src/ut_alld_dw1000_v1.c
+++ b/unittests/periphery-lld/src/ut_alld_dw1000_v1.c
@@ -261,7 +261,7 @@ aos_utresult_t utAlldDw1000Func(BaseSequentialStream* stream, aos_unittest_t* ut
 /*! Unit Test snippets for DW1000.
  * @Note: Event IRQ for DW1000 should be tested separately
  */
-#ifdef UNIT_TEST_SNIPPETS_DW1000
+#if defined(UNIT_TEST_SNIPPETS_DW1000)
 
   uint32_t actual_deviceId;
 
@@ -367,7 +367,7 @@ aos_utresult_t utAlldDw1000Func(BaseSequentialStream* stream, aos_unittest_t* ut
 
   /************** End of UNIT_TEST_SNIPPETS_DW1000*****************/
 
-#else
+#else /* defined(UNIT_TEST_SNIPPETS_DW1000) */
 
 
   /*! RUN THE STATE MACHINE DEMO APP (RTLS) */
@@ -395,7 +395,7 @@ aos_utresult_t utAlldDw1000Func(BaseSequentialStream* stream, aos_unittest_t* ut
 //    aosThdUSleep(10);
   }
 
-#endif  /*  UNIT_TEST_SNIPPETS_DW1000 */
+#endif  /* defined(UNIT_TEST_SNIPPETS_DW1000) */
 
   return result;
 }
